module Kommandos where

import HsShellScript
import Text.ParserCombinators.Parsec
import Arg


-- Blockgre in neuen CD-Bildern
cdbild_blockgroesse = 2048


-- Platzverbrauch eines Pfades bestimmen, wie er auf CD gebrannt wird (also Blockgre 2048)
platz_auf_cd :: String      -- Pfad
             -> IO Integer  -- Platzverbrauch in Bytes
platz_auf_cd pfad = do
   gr <- du cdbild_blockgroesse pfad
   return (gr*cdbild_blockgroesse)


